biterp

Atualizar conta a pagar

PATCH
/payables/{id}
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.biterp.ai/payables/{id}" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "supplier_id": "string",
  "financial_account_id": "string",
  "payment_method_id": "string",
  "financial_category_id": "string",
  "reference_code": "string",
  "amount": "1500.000000",
  "discount_amount": "0.000000",
  "discount_date": "2019-08-24",
  "surcharge_amount": "0.000000",
  "surcharge_date": "2019-08-24",
  "status": "pending",
  "issue_date": "2019-08-24",
  "due_date": "2019-08-24",
  "paid_at": "2019-08-24T14:15:22Z",
  "installment_group_id": "string",
  "installment_number": 0,
  "installment_count": 0,
  "description": "string",
  "notes": "string",
  "metadata": {},
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 422,
  "message": "Could not resolve provided geography fields",
  "error": "Unprocessable Entity",
  "details": {
    "fields": {
      "country_code": [
        "Could not resolve country from '1112' (tried ISO2, ISO3, numeric code and names)"
      ],
      "city": [
        "Could not resolve city from 'CidadeQueNaoExiste' in country 'BR'"
      ]
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}